PHP Manual
Prev |  | Next

# px_get_schema

(PECL)

px_get_schema -- Returns the database schema

## Description

array px_get_schema ( resource pxdoc [, int mode] )

px_get_schema() returns the database schema.

## Parameters

pxdoc

mode

  If the optional mode is `PX_KEYTOLOWER` or `PX_KEYTOUPPER` the key will be converted to lower or upper case. If mode is 0 or not passed at all, then the key name will be identical to the field name.

## Return Values

Returns the schema of a database file as an associated array. The key name is equal to the field name. Each array element is itself an associated array containing the two fields type and size. type is one of the constants in table Constants for field types.

Prev | Home | Next
px_get_record | Up | px_get_value